# frozen_string_literal: true

if Settings.marketo.enabled.nil?
  keys    = %i(host client_id client_secret campaign_id)
  missing = ->(key) { Settings.marketo[key].nil? }

  Settings.marketo.enabled = keys.none?(&missing)
end

if Settings.marketo.enabled
  MarketoChef.configure do |c|
    c.host          = Settings.marketo.host
    c.client_id     = Settings.marketo.client_id
    c.client_secret = Settings.marketo.client_secret
    c.campaign_id   = Settings.marketo.campaign_id
  end
end
